descriptive-0.9.4: Self-describing consumers/parsers; forms, cmd-line args, JSON, etc.

Safe Haskell | Safe
Language | Haskell98

Descriptive.Char

Description

Consuming form a list of characters.

Synopsis

- anyChar :: Monad m => Consumer [Char] Text m Char
- char :: Monad m => Char -> Consumer [Char] Text m Char
- string :: Monad m => [Char] -> Consumer [Char] Text m [Char]

# Documentation

anyChar :: Monad m => Consumer [Char] Text m Char #

Consume any character.

char :: Monad m => Char -> Consumer [Char] Text m Char #

A character consumer.

string :: Monad m => [Char] -> Consumer [Char] Text m [Char] #

A string consumer.